Bug 242342 - picture rotated according to orientation info, but EXIF thumbnail is not rotated
picture rotated according to orientation info, but EXIF thumbnail is not rotated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
6
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 10:29 EDT by Gert Vervoort
Modified: 2008-05-06 15:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gert Vervoort 2007-06-03 10:29:58 EDT
Description of problem:

When pictures are imported with the rotation orientation set by the digital
camera, then they are rotated as expected. However, the thumbnail which is part
of the exif data, is not rotated.

Version-Release number of selected component (if applicable):

gthumb.x86_64  2.7.8-3.fc6

How reproducible:

always

Steps to Reproduce:
1. make a portrait photo with a digital camera
2. if the camera has no orientation sensor, set the rotation information
manually using the menu's of the camera
3. connect the digital camera to your computer running FC6
4. import the picture using gthumb
5. look at the resulting picture, the picture will be rotated.
6. look at the thumbnail embedded in the exif data of the picture: 
    - exiftool -b -ThumbnailImage picture.jpg > picture_thumb.jpg
    - eog picture_thumb.jpg
7. compare the actual picture and the thumbnail picture and see the difference
in orientation. 

Actual results:

picture rotated according to orientation information
thumbnail not rotated.

Expected results:

picture and thumbnail rotated according to orientation information

Additional info:

The Windoze software as delivered by Canon with the digital camera, does this
correctly. It rotates both the picture and the thumbnail according the
orientation information.
Comment 1 Michael J. Chudobiak 2007-08-14 09:18:59 EDT
This is fixed in gthumb 2.10.x - upgrade to F7 to get it.

- Mike
Comment 2 Gert Vervoort 2007-08-14 12:26:34 EDT
A few days ago I upgraded to F7 and indeed the problem is fixed in F7.
Comment 3 Bug Zapper 2008-04-04 03:21:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:39:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.